List of Webhook Events - Fabric
Overview
Webhooks are a mechanism for an application to send automated, real-time notifications without the need to call REST API endpoints. fabric’s Order Management System (OMS) provides a list of webhook events using which you can create event subscriptions for Create, Read, Update, and Delete (CRUD) operations that take place in fabric OMS (also called fabric Orders). As a merchant, you can configure specific webhook events, such as inventory creation, order creation, order cancellation, and more to receive event-specific information.
List of Webhook Events
The following are the different services of fabric Orders along with the various webhook events provided by each service:
- Inventory Service
- Order Service
- Notification Service
- Allocation Service
- Shipment Service
- Package Tracking Service
- Fraud Service
- Invoice Posting Service
- Crossborder Service
- Export Service
Inventory Service
Source Name:INVENTORY_SERVICE
Event Types:
INVENTORY_CREATEINVENTORY_UPDATEINVENTORY_BULKINVENTORY_NETWORK_UPDATED
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "INVENTORY_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"INVENTORY_CREATE",
"INVENTORY_UPDATE" // List of events to subscribe
]
}'
Order Service
Source name:ORDER_SERVICE
Event Types:
ORDER_CREATEORDER_HOLD_CROSSBORDERORDER_HOLD_FRAUDORDER_HOLD_CSRORDER_CONFIRMEDORDER_CANCELLED(only for full-order-canceled)ORDER_PARTIALLY_RETURNEDORDER_RETURNED(only for full Order returned)ORDER_SHIPPED(once all items are shipped)EXCHANGE_PENDINGEXCHANGE_TO_SHIPMENTORDER_CANCELLATION_COUPON_REVERSAL
curl example:
curl --location --request POST 'api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "ORDER_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"ORDER_CREATE" // List of events to subscribe
]
}'
Notification Service
Source Name:NOTIFICATION_SERVICE
Event Types:
SINGLE_ITEM_ORDER_CONFIRMATION_EMAILMULTI_ITEM_ORDER_CONFIRMATION_EMAILBOPIS_ORDER_CONFIRMATION_EMAILSHIPPING_CONFIRMATION_EMAILBOPIS_ORDER_READY_FOR_PICKUPBOPIS_ORDER_COMPLETEDBOPIS_REMINDER_EMAILBACKORDER_NOTIFICATION_EMAILBACKORDER_30_DAYS_CONSENT_TO_DELAY_EMAILBACKORDER_53_DAYS_CONSENT_TO_DELAY_EMAILBACKORDER_CANCEL_EMAILBACKORDER_AUTH_DECLINE_EMAILORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_ITEM_CANCELORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_CANCELORDER_CANCELLATION_EMAIL_LOCATE_ORDER_ITEM_CANCELRETURN_NOTIFICATION_EMAILREFUND_NOTIFICATION_EMAILAPPEASEMENT_NOTIFICATION_EMAIL
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "NOTIFICATION_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL",
"MULTI_ITEM_ORDER_CONFIRMATION_EMAIL" // List of events to subscribe
]
}'
Allocation Service
Source name:PPS_SERVICE
Event Types:
ALLOCATION_RETURNALLOCATION_CREATE_SDDALLOCATION_CREATE_BOPISALLOCATION_CREATE_SHIPALLOCATION_CREATE_GIFTCARD
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "PPS_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"ALLOCATION_CREATE_SHIP" // List of events to subscribe
]
}'
Shipment Service
Source Name:SHIPMENT_SERVICE
Event Types:
SHIPMENT_CREATEDSHIPMENT_CANCELLEDGIFTCARD_ACTIVATEPICKUP_CREATEDPICKUP_COMPLETEDSHIPMENT_UPDATE
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "SHIPMENT_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"SHIPMENT_CREATED" // List of events to subscribe
]
}'
Package Tracking Service
Source Name:PACKAGE_TRACKING_SERVICE
Event Types:
ORDER_CREATE_IN_PTSORDER_CANCELLED_IN_PTSSHIPMENT_CREATE_IN_PTSSHIPMENT_CANCELLED_IN_PTS
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "PACKAGE_TRACKING_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"ORDER_CREATE_IN_PTS" // List of events to subscribe. PTS refers to Package Tracking Service.
]
}'
Fraud Service
Source Name:FRAUD_SERVICE
Event Types:
FRAUD_CANCELFRAUD_RELEASE
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "FRAUD_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"FRAUD_RELEASE" // List of events to subscribe.
]
}'
Invoice Posting Service
Source Name:INVOICE_POSTING_SERVICE
Event Types:
INVOICE_POSTING
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "INVOICE_POSTING_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"INVOICE_POSTING" // List of events to subscribe.
]
}'
Crossborder Service
Source Name:CROSSBORDER_SERVICE
Event Types:
CROSS_BORDER_VALIDATION
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "CROSSBORDER_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"CROSS_BORDER_VALIDATION" // List of events to subscribe.
]
}'
Export Service
Source Name:EXPORT_SERVICE
Event Types:
EXPORT_ORDER_INITIATEDEXPORT_ORDER_COMPLETEDEXPORT_ORDER_ERROREXPORT_ALLOCATION_INITIATEDEXPORT_ALLOCATION_COMPLETEDEXPORT_ALLOCATION_ERROREXPORT_SHIPMENT_INITIATEDEXPORT_SHIPMENT_COMPLETEDEXPORT_SHIPMENT_ERROREXPORT_INVOICE_INITIATEDEXPORT_INVOICE_COMPLETEDEXPORT_INVOICE_ERROREXPORT_LOCATION_INITIATEDEXPORT_LOCATION_COMPLETEDEXPORT_LOCATION_ERROREXPORT_INVENTORY_INITIATEDEXPORT_INVENTORY_COMPLETEDEXPORT_INVENTORY_ERROREXPORT_NETWORK_INITIATEDEXPORT_NETWORK_COMPLETEDEXPORT_NETWORK_ERROREXPORT_SHIPPING_METHODS_INITIATEDEXPORT_SHIPPING_METHODS_COMPLETEDEXPORT_SHIPPING_METHODS_ERROREXPORT_AGGREGATED_NETWORK_INITIATEDEXPORT_AGGREGATED_NETWORK_COMPLETEDEXPORT_AGGREGATED_NETWORK_ERROR
curl example:
curl --location --request POST 'https://api.fabric.inc/v3/oms-webhooks'
--header 'Authorization: Bearer {token}'
--header 'x-site-context: {"account":"63310842f37ee100111e9fe3"}'
--header 'Content-Type: application/json'
--data-raw '{
"target": "https://webhook.site/83834d4c-9736-4cba-b32b-e6b6d75a6683",
"protocol": "HTTP",
"source": "EXPORT_SERVICE", // This will change based on service to be subscribed
"format": "application/json",
"requestType": "POST",
"events": [
"EXPORT_ORDER_INITIATED",
"EXPORT_ORDER_COMPLETED" // List of events to subscribe.
]
}'